package org.netbeans.modules.cnd.dwarfdump.dwarfconsts;

import java.util.HashMap;

/**
 *
 * @author ak119685
 */
public enum ORD {
    DW_ORD_row_major(0x0),
    DW_ORD_col_major(0x1);
    
    private final int value;
    private static final HashMap<Integer, ORD> hashmap = new HashMap<Integer, ORD>();
    
    static {
        for (ORD elem : ORD.values()) {
            hashmap.put(elem.value, elem);
        }
    }
    
    ORD(int value) {
        this.value = value;
    }
    
    public static ORD get(int val) {
    	return hashmap.get(val);
    }
    
    public int value() {
        return value;
    }
}
